MagickCore: color.h File Reference

# color.h File Reference

`#include <magick/pixel.h>`
`#include <magick/exception.h>`

Go to the source code of this file.

## Data Structures
struct | _ColorInfo
struct | _ColorPacket
struct | _ErrorInfo
## Typedefs
typedef struct _ColorInfo | ColorInfo
typedef struct _ColorPacket | ColorPacket
typedef struct _ErrorInfo | ErrorInfo
## Enumerations
enum | ComplianceType { UndefinedCompliance, NoCompliance = 0x0000, SVGCompliance = 0x0001, X11Compliance = 0x0002, XPMCompliance = 0x0004, AllCompliance = 0x7fffffff }
## Functions
MagickExport char ** | GetColorList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const ColorInfo * | GetColorInfo (const char *, ExceptionInfo *)
MagickExport const ColorInfo *** | GetColorInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport ColorPacket * | GetImageHistogram (const Image *, unsigned long *, ExceptionInfo *)
MagickExport Image * | UniqueImageColors (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | IsColorSimilar (const Image *, const PixelPacket *, const PixelPacket *)
MagickExport MagickBooleanType | IsGrayImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | IsHistogramImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | IsImageSimilar (const Image *, const Image *, long *x, long *y, ExceptionInfo *)
MagickExport MagickBooleanType | IsMagickColorSimilar (const MagickPixelPacket *, const MagickPixelPacket *)
MagickExport MagickBooleanType | IsMonochromeImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | IsOpacitySimilar (const Image *, const PixelPacket *, const PixelPacket *)
MagickExport MagickBooleanType | IsOpaqueImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | IsPaletteImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | ListColorInfo (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | QueryColorDatabase (const char *, PixelPacket *, ExceptionInfo *)
MagickExport MagickBooleanType | QueryColorname (const Image *, const PixelPacket *, const ComplianceType, char *, ExceptionInfo *)
MagickExport MagickBooleanType | QueryMagickColor (const char *, MagickPixelPacket *, ExceptionInfo *)
MagickExport MagickBooleanType | QueryMagickColorname (const Image *, const MagickPixelPacket *, const ComplianceType, const MagickBooleanType, char *, ExceptionInfo *)
MagickExport unsigned long | GetNumberColors (const Image *, FILE *, ExceptionInfo *)
MagickExport void | ConcatenateColorComponent (const MagickPixelPacket *, const ChannelType, const ComplianceType, char *)
MagickExport void | DestroyColorList (void)
MagickExport void | GetColorTuple (const MagickPixelPacket *, const MagickBooleanType, char *)

## Typedef Documentation

typedef struct _ColorInfo ColorInfo

typedef struct _ColorPacket ColorPacket

typedef struct _ErrorInfo ErrorInfo

## Enumeration Type Documentation

enum ComplianceType

Enumerator:

  UndefinedCompliance |
  NoCompliance |
  SVGCompliance |
  X11Compliance |
  XPMCompliance |
  AllCompliance |

## Function Documentation

MagickExport void ConcatenateColorComponent | ( | const MagickPixelPacket * | ,
|  | const | ChannelType,
|  | const | ComplianceType,
|  | char * |  |
| ) |  |  |

MagickExport void DestroyColorList | ( | void |  | ) |

MagickExport const ColorInfo* GetColorInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const ColorInfo* ** GetColorInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetColorList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void GetColorTuple | ( | const MagickPixelPacket * | ,
|  | const | MagickBooleanType,
|  | char * |  |
| ) |  |  |

MagickExport ColorPacket* GetImageHistogram | ( | const Image * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport unsigned long GetNumberColors | ( | const Image * | ,
|  | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsColorSimilar | ( | const Image * | ,
|  | const PixelPacket * | ,
|  | const PixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType IsGrayImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsHistogramImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsImageSimilar | ( | const Image * | ,
|  | const Image * | ,
|  | long * | x,
|  | long * | y,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsMagickColorSimilar | ( | const MagickPixelPacket * | ,
|  | const MagickPixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType IsMonochromeImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsOpacitySimilar | ( | const Image * | ,
|  | const PixelPacket * | ,
|  | const PixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType IsOpaqueImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsPaletteImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListColorInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType QueryColorDatabase | ( | const char * | ,
|  | PixelPacket * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType QueryColorname | ( | const Image * | ,
|  | const PixelPacket * | ,
|  | const | ComplianceType,
|  | char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType QueryMagickColor | ( | const char * | ,
|  | MagickPixelPacket * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType QueryMagickColorname | ( | const Image * | ,
|  | const MagickPixelPacket * | ,
|  | const | ComplianceType,
|  | const | MagickBooleanType,
|  | char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* UniqueImageColors | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |